package com.quyunshuo.module.home.enums

import com.quyunshuo.androidbaseframemvvm.base.addressenum.PayEnum
import com.quyunshuo.androidbaseframemvvm.common.util.UiUtil
import com.quyunshuo.module.home.R

//还需要增加宽度和高度的自定义。因为每个logo都不一样。
enum class LogoEnum(val code:String, val navId:Int,val width:Int,val height:Int) {
    SUNZEE_LOGO("1", R.drawable.logo,141,58),
    SUNZEE_LOGO1("2", R.drawable.logo_1,141,58);

    companion object {
        fun getEnumByValue(code: String): LogoEnum? {
            for (anEnum in LogoEnum.values()) {
                if (anEnum.code == code) {
                    return anEnum
                }
            }
            return null
        }

    }
}